# Interface methods for submodule: ImageIORegion
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import RegionProxy as _RegionProxy


# Interface methods for class: ImageIORegion
class ImageIORegionProxy(_RegionProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetImageDimension(self) -> int:
		""""""
		...

	def GetRegionDimension(self) -> int:
		""""""
		...

	def GetRegionType(self):
		""""""
		...

	@overload
	def SetIndex(self, index: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetIndex(self, i: int, idx: int) -> None:
		""""""
		...

	@overload
	def GetIndex(self) -> Sequence[int]:
		""""""
		...

	@overload
	def GetIndex(self, i: int) -> int:
		""""""
		...

	def GetModifiableIndex(self) -> Sequence[int]:
		""""""
		...

	@overload
	def SetSize(self, size: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetSize(self, i: int, size: int) -> None:
		""""""
		...

	@overload
	def GetSize(self) -> Sequence[int]:
		""""""
		...

	@overload
	def GetSize(self, i: int) -> int:
		""""""
		...

	def GetModifiableSize(self) -> Sequence[int]:
		""""""
		...

	@overload
	def IsInside(self, index: Sequence[int]) -> bool:
		""""""
		...

	@overload
	def IsInside(self, region) -> bool:
		""""""
		...

	def GetNumberOfPixels(self) -> int:
		""""""
		...

